
/*
 * Copyright 2021 - 2022 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.springframework.sbm.project.web.api;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.springframework.sbm.project.web.api package.
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _WebApp_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "web-app");
    private final static QName _WebAppTypeModuleName_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "module-name");
    private final static QName _WebAppTypeDescription_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "description");
    private final static QName _WebAppTypeDisplayName_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "display-name");
    private final static QName _WebAppTypeIcon_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "icon");
    private final static QName _WebAppTypeDistributable_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "distributable");
    private final static QName _WebAppTypeContextParam_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "context-param");
    private final static QName _WebAppTypeFilter_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "filter");
    private final static QName _WebAppTypeFilterMapping_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "filter-mapping");
    private final static QName _WebAppTypeListener_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "listener");
    private final static QName _WebAppTypeServlet_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "servlet");
    private final static QName _WebAppTypeServletMapping_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "servlet-mapping");
    private final static QName _WebAppTypeSessionConfig_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "session-config");
    private final static QName _WebAppTypeMimeMapping_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "mime-mapping");
    private final static QName _WebAppTypeWelcomeFileList_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "welcome-file-list");
    private final static QName _WebAppTypeErrorPage_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "error-page");
    private final static QName _WebAppTypeJspConfig_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "jsp-config");
    private final static QName _WebAppTypeSecurityConstraint_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "security-constraint");
    private final static QName _WebAppTypeLoginConfig_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "login-config");
    private final static QName _WebAppTypeSecurityRole_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "security-role");
    private final static QName _WebAppTypeEnvEntry_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "env-entry");
    private final static QName _WebAppTypeEjbRef_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "ejb-ref");
    private final static QName _WebAppTypeEjbLocalRef_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "ejb-local-ref");
    private final static QName _WebAppTypeServiceRef_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "service-ref");
    private final static QName _WebAppTypeResourceRef_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "resource-ref");
    private final static QName _WebAppTypeResourceEnvRef_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "resource-env-ref");
    private final static QName _WebAppTypeMessageDestinationRef_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "message-destination-ref");
    private final static QName _WebAppTypePersistenceContextRef_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "persistence-context-ref");
    private final static QName _WebAppTypePersistenceUnitRef_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "persistence-unit-ref");
    private final static QName _WebAppTypePostConstruct_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "post-construct");
    private final static QName _WebAppTypePreDestroy_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "pre-destroy");
    private final static QName _WebAppTypeDataSource_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "data-source");
    private final static QName _WebAppTypeJmsConnectionFactory_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "jms-connection-factory");
    private final static QName _WebAppTypeJmsDestination_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "jms-destination");
    private final static QName _WebAppTypeMailSession_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "mail-session");
    private final static QName _WebAppTypeConnectionFactory_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "connection-factory");
    private final static QName _WebAppTypeAdministeredObject_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "administered-object");
    private final static QName _WebAppTypeMessageDestination_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "message-destination");
    private final static QName _WebAppTypeLocaleEncodingMappingList_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "locale-encoding-mapping-list");
    private final static QName _WebAppTypeDefaultContextPath_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "default-context-path");
    private final static QName _WebAppTypeRequestCharacterEncoding_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "request-character-encoding");
    private final static QName _WebAppTypeResponseCharacterEncoding_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "response-character-encoding");
    private final static QName _WebAppTypeDenyUncoveredHttpMethods_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "deny-uncovered-http-methods");
    private final static QName _WebAppTypeAbsoluteOrdering_QNAME = new QName("http://xmlns.jcp.org/xml/ns/javaee", "absolute-ordering");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.springframework.sbm.project.web.api
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link WebAppType }
     * 
     */
    public WebAppType createWebAppType() {
        return new WebAppType();
    }

    /**
     * Create an instance of {@link ServiceRefType }
     * 
     */
    public ServiceRefType createServiceRefType() {
        return new ServiceRefType();
    }

    /**
     * Create an instance of {@link PortComponentRefType }
     * 
     */
    public PortComponentRefType createPortComponentRefType() {
        return new PortComponentRefType();
    }

    /**
     * Create an instance of {@link HandlerChainsType }
     * 
     */
    public HandlerChainsType createHandlerChainsType() {
        return new HandlerChainsType();
    }

    /**
     * Create an instance of {@link HandlerChainType }
     * 
     */
    public HandlerChainType createHandlerChainType() {
        return new HandlerChainType();
    }

    /**
     * Create an instance of {@link AddressingType }
     * 
     */
    public AddressingType createAddressingType() {
        return new AddressingType();
    }

    /**
     * Create an instance of {@link AddressingResponsesType }
     * 
     */
    public AddressingResponsesType createAddressingResponsesType() {
        return new AddressingResponsesType();
    }

    /**
     * Create an instance of {@link RespectBindingType }
     * 
     */
    public RespectBindingType createRespectBindingType() {
        return new RespectBindingType();
    }

    /**
     * Create an instance of {@link HandlerType }
     * 
     */
    public HandlerType createHandlerType() {
        return new HandlerType();
    }

    /**
     * Create an instance of {@link AdministeredObjectType }
     * 
     */
    public AdministeredObjectType createAdministeredObjectType() {
        return new AdministeredObjectType();
    }

    /**
     * Create an instance of {@link ConnectionFactoryResourceType }
     * 
     */
    public ConnectionFactoryResourceType createConnectionFactoryResourceType() {
        return new ConnectionFactoryResourceType();
    }

    /**
     * Create an instance of {@link DataSourceType }
     * 
     */
    public DataSourceType createDataSourceType() {
        return new DataSourceType();
    }

    /**
     * Create an instance of {@link DescriptionType }
     * 
     */
    public DescriptionType createDescriptionType() {
        return new DescriptionType();
    }

    /**
     * Create an instance of {@link DisplayNameType }
     * 
     */
    public DisplayNameType createDisplayNameType() {
        return new DisplayNameType();
    }

    /**
     * Create an instance of {@link EjbLinkType }
     * 
     */
    public EjbLinkType createEjbLinkType() {
        return new EjbLinkType();
    }

    /**
     * Create an instance of {@link EjbLocalRefType }
     * 
     */
    public EjbLocalRefType createEjbLocalRefType() {
        return new EjbLocalRefType();
    }

    /**
     * Create an instance of {@link EjbRefNameType }
     * 
     */
    public EjbRefNameType createEjbRefNameType() {
        return new EjbRefNameType();
    }

    /**
     * Create an instance of {@link EjbRefType }
     * 
     */
    public EjbRefType createEjbRefType() {
        return new EjbRefType();
    }

    /**
     * Create an instance of {@link EjbRefTypeType }
     * 
     */
    public EjbRefTypeType createEjbRefTypeType() {
        return new EjbRefTypeType();
    }

    /**
     * Create an instance of {@link EmptyType }
     * 
     */
    public EmptyType createEmptyType() {
        return new EmptyType();
    }

    /**
     * Create an instance of {@link EnvEntryType }
     * 
     */
    public EnvEntryType createEnvEntryType() {
        return new EnvEntryType();
    }

    /**
     * Create an instance of {@link EnvEntryTypeValuesType }
     * 
     */
    public EnvEntryTypeValuesType createEnvEntryTypeValuesType() {
        return new EnvEntryTypeValuesType();
    }

    /**
     * Create an instance of {@link FullyQualifiedClassType }
     * 
     */
    public FullyQualifiedClassType createFullyQualifiedClassType() {
        return new FullyQualifiedClassType();
    }

    /**
     * Create an instance of {@link GenericBooleanType }
     * 
     */
    public GenericBooleanType createGenericBooleanType() {
        return new GenericBooleanType();
    }

    /**
     * Create an instance of {@link IconType }
     * 
     */
    public IconType createIconType() {
        return new IconType();
    }

    /**
     * Create an instance of {@link InjectionTargetType }
     * 
     */
    public InjectionTargetType createInjectionTargetType() {
        return new InjectionTargetType();
    }

    /**
     * Create an instance of {@link JavaIdentifierType }
     * 
     */
    public JavaIdentifierType createJavaIdentifierType() {
        return new JavaIdentifierType();
    }

    /**
     * Create an instance of {@link JavaTypeType }
     * 
     */
    public JavaTypeType createJavaTypeType() {
        return new JavaTypeType();
    }

    /**
     * Create an instance of {@link JdbcUrlType }
     * 
     */
    public JdbcUrlType createJdbcUrlType() {
        return new JdbcUrlType();
    }

    /**
     * Create an instance of {@link JmsConnectionFactoryType }
     * 
     */
    public JmsConnectionFactoryType createJmsConnectionFactoryType() {
        return new JmsConnectionFactoryType();
    }

    /**
     * Create an instance of {@link JmsDestinationType }
     * 
     */
    public JmsDestinationType createJmsDestinationType() {
        return new JmsDestinationType();
    }

    /**
     * Create an instance of {@link JndiNameType }
     * 
     */
    public JndiNameType createJndiNameType() {
        return new JndiNameType();
    }

    /**
     * Create an instance of {@link HomeType }
     * 
     */
    public HomeType createHomeType() {
        return new HomeType();
    }

    /**
     * Create an instance of {@link LifecycleCallbackType }
     * 
     */
    public LifecycleCallbackType createLifecycleCallbackType() {
        return new LifecycleCallbackType();
    }

    /**
     * Create an instance of {@link ListenerType }
     * 
     */
    public ListenerType createListenerType() {
        return new ListenerType();
    }

    /**
     * Create an instance of {@link LocalType }
     * 
     */
    public LocalType createLocalType() {
        return new LocalType();
    }

    /**
     * Create an instance of {@link LocalHomeType }
     * 
     */
    public LocalHomeType createLocalHomeType() {
        return new LocalHomeType();
    }

    /**
     * Create an instance of {@link MailSessionType }
     * 
     */
    public MailSessionType createMailSessionType() {
        return new MailSessionType();
    }

    /**
     * Create an instance of {@link ParamValueType }
     * 
     */
    public ParamValueType createParamValueType() {
        return new ParamValueType();
    }

    /**
     * Create an instance of {@link PathType }
     * 
     */
    public PathType createPathType() {
        return new PathType();
    }

    /**
     * Create an instance of {@link PersistenceContextRefType }
     * 
     */
    public PersistenceContextRefType createPersistenceContextRefType() {
        return new PersistenceContextRefType();
    }

    /**
     * Create an instance of {@link PersistenceContextSynchronizationType }
     * 
     */
    public PersistenceContextSynchronizationType createPersistenceContextSynchronizationType() {
        return new PersistenceContextSynchronizationType();
    }

    /**
     * Create an instance of {@link PersistenceContextTypeType }
     * 
     */
    public PersistenceContextTypeType createPersistenceContextTypeType() {
        return new PersistenceContextTypeType();
    }

    /**
     * Create an instance of {@link PropertyType }
     * 
     */
    public PropertyType createPropertyType() {
        return new PropertyType();
    }

    /**
     * Create an instance of {@link PersistenceUnitRefType }
     * 
     */
    public PersistenceUnitRefType createPersistenceUnitRefType() {
        return new PersistenceUnitRefType();
    }

    /**
     * Create an instance of {@link RemoteType }
     * 
     */
    public RemoteType createRemoteType() {
        return new RemoteType();
    }

    /**
     * Create an instance of {@link ResourceEnvRefType }
     * 
     */
    public ResourceEnvRefType createResourceEnvRefType() {
        return new ResourceEnvRefType();
    }

    /**
     * Create an instance of {@link ResourceRefType }
     * 
     */
    public ResourceRefType createResourceRefType() {
        return new ResourceRefType();
    }

    /**
     * Create an instance of {@link ResAuthType }
     * 
     */
    public ResAuthType createResAuthType() {
        return new ResAuthType();
    }

    /**
     * Create an instance of {@link ResSharingScopeType }
     * 
     */
    public ResSharingScopeType createResSharingScopeType() {
        return new ResSharingScopeType();
    }

    /**
     * Create an instance of {@link RunAsType }
     * 
     */
    public RunAsType createRunAsType() {
        return new RunAsType();
    }

    /**
     * Create an instance of {@link RoleNameType }
     * 
     */
    public RoleNameType createRoleNameType() {
        return new RoleNameType();
    }

    /**
     * Create an instance of {@link SecurityRoleType }
     * 
     */
    public SecurityRoleType createSecurityRoleType() {
        return new SecurityRoleType();
    }

    /**
     * Create an instance of {@link SecurityRoleRefType }
     * 
     */
    public SecurityRoleRefType createSecurityRoleRefType() {
        return new SecurityRoleRefType();
    }

    /**
     * Create an instance of {@link XsdQNameType }
     * 
     */
    public XsdQNameType createXsdQNameType() {
        return new XsdQNameType();
    }

    /**
     * Create an instance of {@link XsdBooleanType }
     * 
     */
    public XsdBooleanType createXsdBooleanType() {
        return new XsdBooleanType();
    }

    /**
     * Create an instance of {@link XsdNMTOKENType }
     * 
     */
    public XsdNMTOKENType createXsdNMTOKENType() {
        return new XsdNMTOKENType();
    }

    /**
     * Create an instance of {@link XsdAnyURIType }
     * 
     */
    public XsdAnyURIType createXsdAnyURIType() {
        return new XsdAnyURIType();
    }

    /**
     * Create an instance of {@link XsdIntegerType }
     * 
     */
    public XsdIntegerType createXsdIntegerType() {
        return new XsdIntegerType();
    }

    /**
     * Create an instance of {@link XsdPositiveIntegerType }
     * 
     */
    public XsdPositiveIntegerType createXsdPositiveIntegerType() {
        return new XsdPositiveIntegerType();
    }

    /**
     * Create an instance of {@link XsdNonNegativeIntegerType }
     * 
     */
    public XsdNonNegativeIntegerType createXsdNonNegativeIntegerType() {
        return new XsdNonNegativeIntegerType();
    }

    /**
     * Create an instance of {@link XsdStringType }
     * 
     */
    public XsdStringType createXsdStringType() {
        return new XsdStringType();
    }

    /**
     * Create an instance of {@link String }
     * 
     */
    public String createString() {
        return new String();
    }

    /**
     * Create an instance of {@link TrueFalseType }
     * 
     */
    public TrueFalseType createTrueFalseType() {
        return new TrueFalseType();
    }

    /**
     * Create an instance of {@link UrlPatternType }
     * 
     */
    public UrlPatternType createUrlPatternType() {
        return new UrlPatternType();
    }

    /**
     * Create an instance of {@link MessageDestinationType }
     * 
     */
    public MessageDestinationType createMessageDestinationType() {
        return new MessageDestinationType();
    }

    /**
     * Create an instance of {@link MessageDestinationRefType }
     * 
     */
    public MessageDestinationRefType createMessageDestinationRefType() {
        return new MessageDestinationRefType();
    }

    /**
     * Create an instance of {@link MessageDestinationUsageType }
     * 
     */
    public MessageDestinationUsageType createMessageDestinationUsageType() {
        return new MessageDestinationUsageType();
    }

    /**
     * Create an instance of {@link MessageDestinationTypeType }
     * 
     */
    public MessageDestinationTypeType createMessageDestinationTypeType() {
        return new MessageDestinationTypeType();
    }

    /**
     * Create an instance of {@link MessageDestinationLinkType }
     * 
     */
    public MessageDestinationLinkType createMessageDestinationLinkType() {
        return new MessageDestinationLinkType();
    }

    /**
     * Create an instance of {@link TransactionSupportType }
     * 
     */
    public TransactionSupportType createTransactionSupportType() {
        return new TransactionSupportType();
    }

    /**
     * Create an instance of {@link JspConfigType }
     * 
     */
    public JspConfigType createJspConfigType() {
        return new JspConfigType();
    }

    /**
     * Create an instance of {@link JspFileType }
     * 
     */
    public JspFileType createJspFileType() {
        return new JspFileType();
    }

    /**
     * Create an instance of {@link JspPropertyGroupType }
     * 
     */
    public JspPropertyGroupType createJspPropertyGroupType() {
        return new JspPropertyGroupType();
    }

    /**
     * Create an instance of {@link TaglibType }
     * 
     */
    public TaglibType createTaglibType() {
        return new TaglibType();
    }

    /**
     * Create an instance of {@link AuthConstraintType }
     * 
     */
    public AuthConstraintType createAuthConstraintType() {
        return new AuthConstraintType();
    }

    /**
     * Create an instance of {@link AuthMethodType }
     * 
     */
    public AuthMethodType createAuthMethodType() {
        return new AuthMethodType();
    }

    /**
     * Create an instance of {@link DispatcherType }
     * 
     */
    public DispatcherType createDispatcherType() {
        return new DispatcherType();
    }

    /**
     * Create an instance of {@link ErrorCodeType }
     * 
     */
    public ErrorCodeType createErrorCodeType() {
        return new ErrorCodeType();
    }

    /**
     * Create an instance of {@link ErrorPageType }
     * 
     */
    public ErrorPageType createErrorPageType() {
        return new ErrorPageType();
    }

    /**
     * Create an instance of {@link FilterType }
     * 
     */
    public FilterType createFilterType() {
        return new FilterType();
    }

    /**
     * Create an instance of {@link FilterMappingType }
     * 
     */
    public FilterMappingType createFilterMappingType() {
        return new FilterMappingType();
    }

    /**
     * Create an instance of {@link NonEmptyStringType }
     * 
     */
    public NonEmptyStringType createNonEmptyStringType() {
        return new NonEmptyStringType();
    }

    /**
     * Create an instance of {@link FilterNameType }
     * 
     */
    public FilterNameType createFilterNameType() {
        return new FilterNameType();
    }

    /**
     * Create an instance of {@link FormLoginConfigType }
     * 
     */
    public FormLoginConfigType createFormLoginConfigType() {
        return new FormLoginConfigType();
    }

    /**
     * Create an instance of {@link LoginConfigType }
     * 
     */
    public LoginConfigType createLoginConfigType() {
        return new LoginConfigType();
    }

    /**
     * Create an instance of {@link MimeMappingType }
     * 
     */
    public MimeMappingType createMimeMappingType() {
        return new MimeMappingType();
    }

    /**
     * Create an instance of {@link MimeTypeType }
     * 
     */
    public MimeTypeType createMimeTypeType() {
        return new MimeTypeType();
    }

    /**
     * Create an instance of {@link SecurityConstraintType }
     * 
     */
    public SecurityConstraintType createSecurityConstraintType() {
        return new SecurityConstraintType();
    }

    /**
     * Create an instance of {@link ServletType }
     * 
     */
    public ServletType createServletType() {
        return new ServletType();
    }

    /**
     * Create an instance of {@link ServletMappingType }
     * 
     */
    public ServletMappingType createServletMappingType() {
        return new ServletMappingType();
    }

    /**
     * Create an instance of {@link ServletNameType }
     * 
     */
    public ServletNameType createServletNameType() {
        return new ServletNameType();
    }

    /**
     * Create an instance of {@link SessionConfigType }
     * 
     */
    public SessionConfigType createSessionConfigType() {
        return new SessionConfigType();
    }

    /**
     * Create an instance of {@link CookieConfigType }
     * 
     */
    public CookieConfigType createCookieConfigType() {
        return new CookieConfigType();
    }

    /**
     * Create an instance of {@link CookieNameType }
     * 
     */
    public CookieNameType createCookieNameType() {
        return new CookieNameType();
    }

    /**
     * Create an instance of {@link CookieDomainType }
     * 
     */
    public CookieDomainType createCookieDomainType() {
        return new CookieDomainType();
    }

    /**
     * Create an instance of {@link CookiePathType }
     * 
     */
    public CookiePathType createCookiePathType() {
        return new CookiePathType();
    }

    /**
     * Create an instance of {@link CookieCommentType }
     * 
     */
    public CookieCommentType createCookieCommentType() {
        return new CookieCommentType();
    }

    /**
     * Create an instance of {@link TrackingModeType }
     * 
     */
    public TrackingModeType createTrackingModeType() {
        return new TrackingModeType();
    }

    /**
     * Create an instance of {@link TransportGuaranteeType }
     * 
     */
    public TransportGuaranteeType createTransportGuaranteeType() {
        return new TransportGuaranteeType();
    }

    /**
     * Create an instance of {@link UserDataConstraintType }
     * 
     */
    public UserDataConstraintType createUserDataConstraintType() {
        return new UserDataConstraintType();
    }

    /**
     * Create an instance of {@link WarPathType }
     * 
     */
    public WarPathType createWarPathType() {
        return new WarPathType();
    }

    /**
     * Create an instance of {@link WebResourceCollectionType }
     * 
     */
    public WebResourceCollectionType createWebResourceCollectionType() {
        return new WebResourceCollectionType();
    }

    /**
     * Create an instance of {@link WelcomeFileListType }
     * 
     */
    public WelcomeFileListType createWelcomeFileListType() {
        return new WelcomeFileListType();
    }

    /**
     * Create an instance of {@link LocaleEncodingMappingListType }
     * 
     */
    public LocaleEncodingMappingListType createLocaleEncodingMappingListType() {
        return new LocaleEncodingMappingListType();
    }

    /**
     * Create an instance of {@link LocaleEncodingMappingType }
     * 
     */
    public LocaleEncodingMappingType createLocaleEncodingMappingType() {
        return new LocaleEncodingMappingType();
    }

    /**
     * Create an instance of {@link OrderingOthersType }
     * 
     */
    public OrderingOthersType createOrderingOthersType() {
        return new OrderingOthersType();
    }

    /**
     * Create an instance of {@link MultipartConfigType }
     * 
     */
    public MultipartConfigType createMultipartConfigType() {
        return new MultipartConfigType();
    }

    /**
     * Create an instance of {@link AbsoluteOrderingType }
     * 
     */
    public AbsoluteOrderingType createAbsoluteOrderingType() {
        return new AbsoluteOrderingType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WebAppType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link WebAppType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "web-app")
    public JAXBElement<WebAppType> createWebApp(WebAppType value) {
        return new JAXBElement<WebAppType>(_WebApp_QNAME, WebAppType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "module-name", scope = WebAppType.class)
    public JAXBElement<String> createWebAppTypeModuleName(String value) {
        return new JAXBElement<String>(_WebAppTypeModuleName_QNAME, String.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DescriptionType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link DescriptionType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "description", scope = WebAppType.class)
    public JAXBElement<DescriptionType> createWebAppTypeDescription(DescriptionType value) {
        return new JAXBElement<DescriptionType>(_WebAppTypeDescription_QNAME, DescriptionType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DisplayNameType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link DisplayNameType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "display-name", scope = WebAppType.class)
    public JAXBElement<DisplayNameType> createWebAppTypeDisplayName(DisplayNameType value) {
        return new JAXBElement<DisplayNameType>(_WebAppTypeDisplayName_QNAME, DisplayNameType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IconType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link IconType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "icon", scope = WebAppType.class)
    public JAXBElement<IconType> createWebAppTypeIcon(IconType value) {
        return new JAXBElement<IconType>(_WebAppTypeIcon_QNAME, IconType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EmptyType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link EmptyType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "distributable", scope = WebAppType.class)
    public JAXBElement<EmptyType> createWebAppTypeDistributable(EmptyType value) {
        return new JAXBElement<EmptyType>(_WebAppTypeDistributable_QNAME, EmptyType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ParamValueType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ParamValueType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "context-param", scope = WebAppType.class)
    public JAXBElement<ParamValueType> createWebAppTypeContextParam(ParamValueType value) {
        return new JAXBElement<ParamValueType>(_WebAppTypeContextParam_QNAME, ParamValueType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FilterType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link FilterType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "filter", scope = WebAppType.class)
    public JAXBElement<FilterType> createWebAppTypeFilter(FilterType value) {
        return new JAXBElement<FilterType>(_WebAppTypeFilter_QNAME, FilterType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FilterMappingType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link FilterMappingType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "filter-mapping", scope = WebAppType.class)
    public JAXBElement<FilterMappingType> createWebAppTypeFilterMapping(FilterMappingType value) {
        return new JAXBElement<FilterMappingType>(_WebAppTypeFilterMapping_QNAME, FilterMappingType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListenerType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ListenerType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "listener", scope = WebAppType.class)
    public JAXBElement<ListenerType> createWebAppTypeListener(ListenerType value) {
        return new JAXBElement<ListenerType>(_WebAppTypeListener_QNAME, ListenerType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServletType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ServletType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "servlet", scope = WebAppType.class)
    public JAXBElement<ServletType> createWebAppTypeServlet(ServletType value) {
        return new JAXBElement<ServletType>(_WebAppTypeServlet_QNAME, ServletType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServletMappingType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ServletMappingType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "servlet-mapping", scope = WebAppType.class)
    public JAXBElement<ServletMappingType> createWebAppTypeServletMapping(ServletMappingType value) {
        return new JAXBElement<ServletMappingType>(_WebAppTypeServletMapping_QNAME, ServletMappingType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SessionConfigType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link SessionConfigType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "session-config", scope = WebAppType.class)
    public JAXBElement<SessionConfigType> createWebAppTypeSessionConfig(SessionConfigType value) {
        return new JAXBElement<SessionConfigType>(_WebAppTypeSessionConfig_QNAME, SessionConfigType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MimeMappingType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link MimeMappingType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "mime-mapping", scope = WebAppType.class)
    public JAXBElement<MimeMappingType> createWebAppTypeMimeMapping(MimeMappingType value) {
        return new JAXBElement<MimeMappingType>(_WebAppTypeMimeMapping_QNAME, MimeMappingType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WelcomeFileListType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link WelcomeFileListType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "welcome-file-list", scope = WebAppType.class)
    public JAXBElement<WelcomeFileListType> createWebAppTypeWelcomeFileList(WelcomeFileListType value) {
        return new JAXBElement<WelcomeFileListType>(_WebAppTypeWelcomeFileList_QNAME, WelcomeFileListType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ErrorPageType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ErrorPageType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "error-page", scope = WebAppType.class)
    public JAXBElement<ErrorPageType> createWebAppTypeErrorPage(ErrorPageType value) {
        return new JAXBElement<ErrorPageType>(_WebAppTypeErrorPage_QNAME, ErrorPageType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link JspConfigType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link JspConfigType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "jsp-config", scope = WebAppType.class)
    public JAXBElement<JspConfigType> createWebAppTypeJspConfig(JspConfigType value) {
        return new JAXBElement<JspConfigType>(_WebAppTypeJspConfig_QNAME, JspConfigType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SecurityConstraintType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link SecurityConstraintType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "security-constraint", scope = WebAppType.class)
    public JAXBElement<SecurityConstraintType> createWebAppTypeSecurityConstraint(SecurityConstraintType value) {
        return new JAXBElement<SecurityConstraintType>(_WebAppTypeSecurityConstraint_QNAME, SecurityConstraintType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LoginConfigType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link LoginConfigType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "login-config", scope = WebAppType.class)
    public JAXBElement<LoginConfigType> createWebAppTypeLoginConfig(LoginConfigType value) {
        return new JAXBElement<LoginConfigType>(_WebAppTypeLoginConfig_QNAME, LoginConfigType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SecurityRoleType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link SecurityRoleType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "security-role", scope = WebAppType.class)
    public JAXBElement<SecurityRoleType> createWebAppTypeSecurityRole(SecurityRoleType value) {
        return new JAXBElement<SecurityRoleType>(_WebAppTypeSecurityRole_QNAME, SecurityRoleType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EnvEntryType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link EnvEntryType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "env-entry", scope = WebAppType.class)
    public JAXBElement<EnvEntryType> createWebAppTypeEnvEntry(EnvEntryType value) {
        return new JAXBElement<EnvEntryType>(_WebAppTypeEnvEntry_QNAME, EnvEntryType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EjbRefType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link EjbRefType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "ejb-ref", scope = WebAppType.class)
    public JAXBElement<EjbRefType> createWebAppTypeEjbRef(EjbRefType value) {
        return new JAXBElement<EjbRefType>(_WebAppTypeEjbRef_QNAME, EjbRefType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EjbLocalRefType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link EjbLocalRefType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "ejb-local-ref", scope = WebAppType.class)
    public JAXBElement<EjbLocalRefType> createWebAppTypeEjbLocalRef(EjbLocalRefType value) {
        return new JAXBElement<EjbLocalRefType>(_WebAppTypeEjbLocalRef_QNAME, EjbLocalRefType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServiceRefType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ServiceRefType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "service-ref", scope = WebAppType.class)
    public JAXBElement<ServiceRefType> createWebAppTypeServiceRef(ServiceRefType value) {
        return new JAXBElement<ServiceRefType>(_WebAppTypeServiceRef_QNAME, ServiceRefType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResourceRefType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ResourceRefType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "resource-ref", scope = WebAppType.class)
    public JAXBElement<ResourceRefType> createWebAppTypeResourceRef(ResourceRefType value) {
        return new JAXBElement<ResourceRefType>(_WebAppTypeResourceRef_QNAME, ResourceRefType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResourceEnvRefType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ResourceEnvRefType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "resource-env-ref", scope = WebAppType.class)
    public JAXBElement<ResourceEnvRefType> createWebAppTypeResourceEnvRef(ResourceEnvRefType value) {
        return new JAXBElement<ResourceEnvRefType>(_WebAppTypeResourceEnvRef_QNAME, ResourceEnvRefType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MessageDestinationRefType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link MessageDestinationRefType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "message-destination-ref", scope = WebAppType.class)
    public JAXBElement<MessageDestinationRefType> createWebAppTypeMessageDestinationRef(MessageDestinationRefType value) {
        return new JAXBElement<MessageDestinationRefType>(_WebAppTypeMessageDestinationRef_QNAME, MessageDestinationRefType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PersistenceContextRefType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link PersistenceContextRefType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "persistence-context-ref", scope = WebAppType.class)
    public JAXBElement<PersistenceContextRefType> createWebAppTypePersistenceContextRef(PersistenceContextRefType value) {
        return new JAXBElement<PersistenceContextRefType>(_WebAppTypePersistenceContextRef_QNAME, PersistenceContextRefType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PersistenceUnitRefType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link PersistenceUnitRefType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "persistence-unit-ref", scope = WebAppType.class)
    public JAXBElement<PersistenceUnitRefType> createWebAppTypePersistenceUnitRef(PersistenceUnitRefType value) {
        return new JAXBElement<PersistenceUnitRefType>(_WebAppTypePersistenceUnitRef_QNAME, PersistenceUnitRefType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LifecycleCallbackType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link LifecycleCallbackType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "post-construct", scope = WebAppType.class)
    public JAXBElement<LifecycleCallbackType> createWebAppTypePostConstruct(LifecycleCallbackType value) {
        return new JAXBElement<LifecycleCallbackType>(_WebAppTypePostConstruct_QNAME, LifecycleCallbackType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LifecycleCallbackType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link LifecycleCallbackType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "pre-destroy", scope = WebAppType.class)
    public JAXBElement<LifecycleCallbackType> createWebAppTypePreDestroy(LifecycleCallbackType value) {
        return new JAXBElement<LifecycleCallbackType>(_WebAppTypePreDestroy_QNAME, LifecycleCallbackType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataSourceType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link DataSourceType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "data-source", scope = WebAppType.class)
    public JAXBElement<DataSourceType> createWebAppTypeDataSource(DataSourceType value) {
        return new JAXBElement<DataSourceType>(_WebAppTypeDataSource_QNAME, DataSourceType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link JmsConnectionFactoryType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link JmsConnectionFactoryType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "jms-connection-factory", scope = WebAppType.class)
    public JAXBElement<JmsConnectionFactoryType> createWebAppTypeJmsConnectionFactory(JmsConnectionFactoryType value) {
        return new JAXBElement<JmsConnectionFactoryType>(_WebAppTypeJmsConnectionFactory_QNAME, JmsConnectionFactoryType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link JmsDestinationType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link JmsDestinationType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "jms-destination", scope = WebAppType.class)
    public JAXBElement<JmsDestinationType> createWebAppTypeJmsDestination(JmsDestinationType value) {
        return new JAXBElement<JmsDestinationType>(_WebAppTypeJmsDestination_QNAME, JmsDestinationType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MailSessionType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link MailSessionType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "mail-session", scope = WebAppType.class)
    public JAXBElement<MailSessionType> createWebAppTypeMailSession(MailSessionType value) {
        return new JAXBElement<MailSessionType>(_WebAppTypeMailSession_QNAME, MailSessionType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConnectionFactoryResourceType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ConnectionFactoryResourceType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "connection-factory", scope = WebAppType.class)
    public JAXBElement<ConnectionFactoryResourceType> createWebAppTypeConnectionFactory(ConnectionFactoryResourceType value) {
        return new JAXBElement<ConnectionFactoryResourceType>(_WebAppTypeConnectionFactory_QNAME, ConnectionFactoryResourceType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AdministeredObjectType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link AdministeredObjectType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "administered-object", scope = WebAppType.class)
    public JAXBElement<AdministeredObjectType> createWebAppTypeAdministeredObject(AdministeredObjectType value) {
        return new JAXBElement<AdministeredObjectType>(_WebAppTypeAdministeredObject_QNAME, AdministeredObjectType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MessageDestinationType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link MessageDestinationType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "message-destination", scope = WebAppType.class)
    public JAXBElement<MessageDestinationType> createWebAppTypeMessageDestination(MessageDestinationType value) {
        return new JAXBElement<MessageDestinationType>(_WebAppTypeMessageDestination_QNAME, MessageDestinationType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LocaleEncodingMappingListType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link LocaleEncodingMappingListType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "locale-encoding-mapping-list", scope = WebAppType.class)
    public JAXBElement<LocaleEncodingMappingListType> createWebAppTypeLocaleEncodingMappingList(LocaleEncodingMappingListType value) {
        return new JAXBElement<LocaleEncodingMappingListType>(_WebAppTypeLocaleEncodingMappingList_QNAME, LocaleEncodingMappingListType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "default-context-path", scope = WebAppType.class)
    public JAXBElement<String> createWebAppTypeDefaultContextPath(String value) {
        return new JAXBElement<String>(_WebAppTypeDefaultContextPath_QNAME, String.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "request-character-encoding", scope = WebAppType.class)
    public JAXBElement<String> createWebAppTypeRequestCharacterEncoding(String value) {
        return new JAXBElement<String>(_WebAppTypeRequestCharacterEncoding_QNAME, String.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "response-character-encoding", scope = WebAppType.class)
    public JAXBElement<String> createWebAppTypeResponseCharacterEncoding(String value) {
        return new JAXBElement<String>(_WebAppTypeResponseCharacterEncoding_QNAME, String.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EmptyType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link EmptyType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "deny-uncovered-http-methods", scope = WebAppType.class)
    public JAXBElement<EmptyType> createWebAppTypeDenyUncoveredHttpMethods(EmptyType value) {
        return new JAXBElement<EmptyType>(_WebAppTypeDenyUncoveredHttpMethods_QNAME, EmptyType.class, WebAppType.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AbsoluteOrderingType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link AbsoluteOrderingType }{@code >}
     */
    @XmlElementDecl(namespace = "http://xmlns.jcp.org/xml/ns/javaee", name = "absolute-ordering", scope = WebAppType.class)
    public JAXBElement<AbsoluteOrderingType> createWebAppTypeAbsoluteOrdering(AbsoluteOrderingType value) {
        return new JAXBElement<AbsoluteOrderingType>(_WebAppTypeAbsoluteOrdering_QNAME, AbsoluteOrderingType.class, WebAppType.class, value);
    }

}
